%global pypi_name gevent-socketio

Name:           python-%{pypi_name}
Version:        0.3.6
Release:        9%{?dist}
Summary:        SocketIO server based on the Gevent pywsgi server

License:        BSD
URL:            https://github.com/abourget/gevent-socketio
Source0:        https://pypi.python.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-versiontools


%global _description\
gevent-socketio is a Python implementation of the Socket.IO\
protocol, developed originally for Node.js by LearnBoost and then\
ported to other languages.  Socket.IO enables real-time web\
communications between a browser and a server, using a WebSocket-like\
API.  One aim of this project is to provide a single gevent-based\
API that works across the different WSGI-based web frameworks out\
there (Pyramid, Pylons, Flask, web2py, Django, etc...).  Only ~3 lines\
of code are required to tie-in gevent-socketio in your framework.

%description %_description

%package -n python2-%{pypi_name}
Summary: %summary
Requires:       python2-gevent
Requires:       python2-gevent-websocket
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name} %_description

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
%py2_build


%install
%py2_install


%files -n python2-%{pypi_name}
%doc README.rst LICENSE
%{python2_sitelib}/socketio
%{python2_sitelib}/gevent_socketio-%{version}-py?.?.egg-info

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 25 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.3.6-7
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.6-6
- Python 2 binary package renamed to python2-gevent-socketio
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jul 07 2015 Matthias Runge <mrunge@redhat.com> - 0.3.5-2.rc2.3
- Fix FTBFS and update to latest version (rhbz#1239840)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-2.rc2.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-2.rc2.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-2.rc2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 25 2013 Matthias Runge <mrunge@redhat.com> - 0.3.5-2.rc2
- add missing requirement python-gevent-websocket
- add missing BR python-setuptools

* Wed Apr 17 2013 Matthias Runge <mrunge@redhat.com> - 0.3.5-1.rc2
- Initial package.
